# $Revision: 1.91 $, $Date: 2009/09/02 13:34:52 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libXML library
Summary(es.UTF-8):	Biblioteca libXML
Summary(pl.UTF-8):	Biblioteka libxml
Summary(pt_BR.UTF-8):	Biblioteca libXML
Summary(ru.UTF-8):	Библиотека XML
Summary(uk.UTF-8):	Бібліотека XML
Name:		libxml
Version:	1.8.17
Release:	13
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://xmlsoft.org/old/%{name}-%{version}.tar.gz
# Source0-md5:	53846294aa850a7d042948176d1d19dc
Patch0:		%{name}-am15.patch
Patch1:		%{name}-pmake.patch
Patch2:		%{name}-urlbound.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-CAN-2004-0989.patch
Patch5:		%{name}-open.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to manipulate XML files.

%description -l es.UTF-8
Esta biblioteca permite manipulación de archivos XML.

%description -l pl.UTF-8
Biblioteka libxml umożliwia manipulowanie zawartością plików XML.

%description -l pt_BR.UTF-8
Esta biblioteca permite a manipulação de arquivos XML.

%description -l ru.UTF-8
Пакет libxml содержит библиотеку XML, которая позволяет манипулировать
XML файлами. XML (eXtensible Markup Language) - это формат данных для
обмена структурированными документами через Web.

%description -l uk.UTF-8
Пакет libxml містить бібліотеку XML, яка дозволяє маніпулювати XML
файлами. XML (eXtensible Markup Language) - це формат даних для обміну
струкурованими документами через Web.

%package devel
Summary:	Header files etc to develop libxml applications
Summary(es.UTF-8):	Archivos de inclusión para desarrollo de aplicaciones libXML
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do tworzenia aplikacji używających libxml
Summary(pt_BR.UTF-8):	Arquivos de inclusão para desenvolvimento de aplicações que usem a biblioteca libxml
Summary(ru.UTF-8):	Хедеры и другие файлы для разработки libxml приложений
Summary(uk.UTF-8):	Хедери та інші файли для розробки libxml програм
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk-doc-common
Requires:	zlib-devel

%description devel
Header files etc you can use to develop libxml applications.

%description devel -l es.UTF-8
Biblioteca y archivos de inclusión para desarrollo de aplicaciones
libXML.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i inne do libxml niezbędne przy
tworzeniu aplikacji opartych o tę bibliotekę.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
que usem a biblioteca libxml.

%description devel -l ru.UTF-8
Пакет libxml-devel содержит хедеры и другие файлы для разработки
libxml приложений.

%description devel -l uk.UTF-8
Пакет libxml-devel містить хедери та інші файли для розробки libxml
програм.

%package static
Summary:	Static libxml library
Summary(pl.UTF-8):	Biblioteka statyczna libxml
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações que usem a biblioteca libxml
Summary(ru.UTF-8):	Статические библиотеки для разработки libxml приложений
Summary(uk.UTF-8):	Статичні бібліотеки для розробки libxml програм
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libxml library.

%description static -l pl.UTF-8
Biblioteka statyczna libxml.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações que usem a
biblioteca libxml.

%description static -l ru.UTF-8
Пакет libxml-static содержит cтатические библиотеки для разработки
libxml приложений.

%description static -l uk.UTF-8
Пакет libxml-static містить cтатичні бібліотеки для розробки libxml
програм.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pkgconfigdir=%{_pkgconfigdir}

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install debian/xml-config.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libxml.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xml-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/gnome-xml
%{_pkgconfigdir}/*
%{_gtkdocdir}/gnome-xml
%{_mandir}/man1/xml-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxml.spec,v $
Revision 1.91  2009/09/02 13:34:52  tommat
- rel 13

Revision 1.90  2009/09/02 13:22:44  tommat
- added open patch to build with new glibc
- ghost soname symlink

Revision 1.89  2007/08/20 19:31:12  witekfl
- added bcond_without static_libs

Revision 1.88  2007/03/06 13:48:15  spider
- rel++
- STBR

Revision 1.87  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.86  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.85  2005/05/03 19:31:02  pluto
- release 11 for Th.

Revision 1.84  2004/11/19 12:46:15  qboosh
- more fixes in urlbound patch, added CAN-2004-0989 patch; release 10

Revision 1.83  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.82  2004/03/11 10:18:56  qboosh
- added urlbound patch (fixes buffer overflows, CAN-2004-0110)
- added man patch with xml-config(1) manual from Debian
- release 9 for Ac

Revision 1.81  2003/08/15 18:07:51  qboosh
- cleanups, install gtk-doc html in standard place

Revision 1.80  2003/08/11 16:32:59  areq
- release 8, rebuild in NEST

Revision 1.79  2003/06/23 20:45:39  jareq
- fixed epoch:version issue

Revision 1.78  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.77  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.76  2003/03/01 20:39:20  juandon
- added pmake.patch
- fixed Source0 URL

Revision 1.75  2003/02/01 01:22:18  adgor
- Release 7

Revision 1.74  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.73  2002/12/02 11:06:21  ankry
- massive cleaning

Revision 1.72  2002/11/25 14:17:09  ankry
- massive attack: no need for 755 for *.la

Revision 1.71  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/07/03 22:30:46  kloczek
- release 6,
- merge translations frm KSI and Conectiva,
- use new %doc.

Revision 1.69  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.68  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.67  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.66  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.65  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.64  2002/02/02 20:26:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.63  2002/02/01 14:53:08  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.62  2002/01/26 12:03:51  kloczek
- updated to 1.8.17 (bugfix release).

Revision 1.61  2002/01/18 02:13:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.60  2001/09/16 19:51:51  kloczek
- updated to 1.8.16 and added am15 patch.

Revision 1.59  2001/08/14 13:31:40  kloczek
- updated to 1.8.15 and new Source url.

Revision 1.58  2001/06/29 16:22:52  kloczek
- updated to 1.8.14.

Revision 1.57  2001/05/20 15:56:18  kloczek
- release 2: added zlib-devel to Requires lit in devel.

Revision 1.56  2001/05/18 02:32:34  kloczek
- updated to 1.8.13.

Revision 1.55  2001/05/14 00:30:08  kloczek
- @#$! .. next typo :>

Revision 1.54  2001/05/14 00:12:30  kloczek
- typo.

Revision 1.53  2001/05/14 00:06:41  kloczek
- release 3,
- libxml provides broken libtool scripts: added regenerat lt an all am/ac files.

Revision 1.52  2001/05/08 08:33:16  kloczek
- updated to 1.8.12.

Revision 1.51  2001/04/13 00:20:49  qboosh
- added pkgconfig file
- typos
- release 2

Revision 1.50  2001/03/16 13:47:51  baggins
- back to 1.8.11 (revision 1.48)
	interested parties know what's going on

Revision 1.48  2001/01/12 11:49:42  kloczek
- updated to 1.8.11.

Revision 1.47  2000/09/27 16:05:33  kloczek
- release 2: added using rpm new automation.

Revision 1.46  2000/09/07 19:46:05  kloczek
- updated to 1.8.10.

Revision 1.45  2000/07/10 14:45:32  kloczek
- updated to 1.8.9.

Revision 1.44  2000/07/04 03:08:23  kloczek
- fix %files list.

Revision 1.43  2000/07/04 03:03:24  kloczek
- updated to 1.8.8 (back to 1.8.x).

Revision 1.42  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.41  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.40  2000/05/21 19:41:40  kloczek
- updated to 2.0.0.

Revision 1.39  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.38  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.37  2000/03/06 08:46:44  kloczek
- updated to 1.8.7,
- removed zlib patch (integrated in current version).

Revision 1.36  2000/01/31 18:03:07  kloczek
- updated to 1.8.6,
- spec adapterized.

Revision 1.35  2000/01/21 18:33:51  kloczek
- updated to 1.8.5.

Revision 1.34  2000/01/15 14:17:03  kloczek
- updated to 1.8.4.

Revision 1.33  2000/01/05 20:55:28  kloczek
- updated to 1.8.3.

Revision 1.32  1999/12/27 18:13:08  kloczek
- updated to 1.8.2.

Revision 1.31  1999/12/18 18:07:27  kloczek
- updated to 1.8.1.

Revision 1.30  1999/12/12 23:18:25  kloczek
- updated to 1.8.0,
- updated Source url and URL.

Revision 1.29  1999/11/19 00:33:20  kloczek
- updated to 1.7.4,
- new Source url.

Revision 1.28  1999/09/30 20:26:38  kloczek
- updated to 1.7.3.

Revision 1.27  1999/09/26 13:58:42  kloczek
- updated to 1.7.2.

Revision 1.26  1999/09/24 10:16:55  kloczek
- updated to 1.7.1.

Revision 1.25  1999/09/23 05:01:25  kloczek
- updated to 1.7.0.

Revision 1.24  1999/09/12 22:40:32  kloczek
- release 2,
- removed "Prereq: /sbin/install-info" this package do not contain info
  pages.

Revision 1.23  1999/09/01 23:38:04  kloczek
- updated to 1.6.1.

Revision 1.22  1999/07/23 09:09:14  kloczek
- update to 1.4.0,
- removed DESTDIR patch (integrated in current version).

Revision 1.21  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jul 10 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.3.0-1]
- removed VERSION patch,
- added DESTDIR patch,
- added --strip-unneeded on stripping shared libraries,
- added using %%configure macro,
- added lib*.la files to devel.

* Tue May 25 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.0-5]
- based on RH spec,
- spec rewrited by PLD team.
